Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.rpc.server
Class SimplePayloadDecoder

    java.lang.Object
      com.google.gwt.rpc.server.SimplePayloadDecoder

    public class SimplePayloadDecoder

extends java.lang.Object

Decodes the simple payload.

Constructor Summary
`SimplePayloadDecoder(ClientOracle clientOracle, java.lang.CharSequence payload)` Construct a new SimplePayloadDecoder.

Method Summary
`com.google.gwt.rpc.client.ast.ValueCommand` | `getThrownValue()` Returns the thrown value, if any.
`java.util.List<com.google.gwt.rpc.client.ast.ValueCommand>` | `getValues()` Returns the values encoded in the payload.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplePayloadDecoder

    public SimplePayloadDecoder(ClientOracle clientOracle,
                                java.lang.CharSequence payload)
                         throws java.lang.ClassNotFoundException

  Construct a new SimplePayloadDecoder. This will consume the entire payload which will be made available through `getValues()`. If the payload stream contains an embedded exception, processing will end early and the Throwable will be available via `getThrownValue()`.

  Throws:
    `java.lang.ClassNotFoundException`

Method Detail

### getThrownValue

    public com.google.gwt.rpc.client.ast.ValueCommand getThrownValue()

  Returns the thrown value, if any.

### getValues

    public java.util.List<com.google.gwt.rpc.client.ast.ValueCommand> getValues()

  Returns the values encoded in the payload.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD